## grantlee-editor 21.04.3

=== debian/changelog ===
grantlee-editor (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:39:03 +0100

=== debian/control ===
Source: grantlee-editor
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgrantlee5-dev (>= 5.0.0~),
               libkf5akonadi-dev (>= 4:21.04.3~),
               libkf5akonadimime-dev (>= 4:21.04.3~),
               libkf5akonadiserver-dev (>= 4:21.04.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:21.04.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5grantleetheme-dev (>= 21.04.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:21.04.3~),
               libkf5libkleo-dev (>= 4:21.04.3~),
               libkf5messagecomposer-dev (>= 4:21.04.3~),
               libkf5messagecore-dev (>= 4:21.04.3~),
               libkf5messagelist-dev (>= 4:21.04.3~),
               libkf5messageviewer-dev (>= 4:21.04.3~),
               libkf5mimetreeparser-dev (>= 4:21.04.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:21.04.3~),
               libkf5pimtextedit-dev (>= 21.04.3~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5syntaxhighlighting-dev (>= 5.31.0~),
               libkf5templateparser-dev (>= 4:21.04.3~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5webengineviewer-dev (>= 4:21.04.3~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/grantlee-editor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/grantlee-editor

Package: kdepim-themeeditors
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kaddressbook (<< 4:15),
        kdepim-doc (<= 4:16.08.0+p16.04+git201609),
        kmail (<< 4:4.14.3),
        libkf5libkdepim5 (<= 4:16.04),
        ${kde-l10n:all},
Replaces: kaddressbook (<< 4:15),
          kdepim-doc (<= 4:16.08.0+p16.04+git201609),
          kmail (<< 4:4.14.3),
          libkf5libkdepim5 (<= 4:16.04),
          ${kde-l10n:all},
Suggests: kaddressbook, kmail
Description: Theme Editors for KDE PIM applications
 KDE PIM Theme Editors allow you to create and edit various KDE themes for
 KDE PIM software such as KMail and KAddressBook.
 .

## grantlee-editor 21.07.80

=== debian/changelog ===
grantlee-editor (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 10:42:01 +0100

=== debian/control ===
--- 
+++ 
@@ -17,47 +17,47 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:21.04.3~),
-               libkf5akonadimime-dev (>= 4:21.04.3~),
-               libkf5akonadiserver-dev (>= 4:21.04.3~),
+               libkf5akonadi-dev (>= 4:21.07.80~),
+               libkf5akonadimime-dev (>= 4:21.07.80~),
+               libkf5akonadiserver-dev (>= 4:21.07.80~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:21.04.3~),
+               libkf5contacteditor-dev (>= 4:21.07.80~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 21.04.3~),
+               libkf5grantleetheme-dev (>= 21.07.80~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:21.04.3~),
-               libkf5libkleo-dev (>= 4:21.04.3~),
-               libkf5messagecomposer-dev (>= 4:21.04.3~),
-               libkf5messagecore-dev (>= 4:21.04.3~),
-               libkf5messagelist-dev (>= 4:21.04.3~),
-               libkf5messageviewer-dev (>= 4:21.04.3~),
-               libkf5mimetreeparser-dev (>= 4:21.04.3~),
+               libkf5libkdepim-dev (>= 4:21.07.80~),
+               libkf5libkleo-dev (>= 4:21.07.80~),
+               libkf5messagecomposer-dev (>= 4:21.07.80~),
+               libkf5messagecore-dev (>= 4:21.07.80~),
+               libkf5messagelist-dev (>= 4:21.07.80~),
+               libkf5messageviewer-dev (>= 4:21.07.80~),
+               libkf5mimetreeparser-dev (>= 4:21.07.80~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:21.04.3~),
-               libkf5pimtextedit-dev (>= 21.04.3~),
+               libkf5pimcommon-dev (>= 4:21.07.80~),
+               libkf5pimtextedit-dev (>= 21.07.80~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:21.04.3~),
+               libkf5templateparser-dev (>= 4:21.07.80~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:21.04.3~),
+               libkf5webengineviewer-dev (>= 4:21.07.80~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 21.07.90

=== grantleethemeeditor/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libgrantleethemeeditor\")


set(libgrantleethemeeditor_SRCS 
    newthemedialog.cpp
    themeeditortabwidget.cpp
    managethemes.cpp
    themesession.cpp
    editorwidget.cpp
    desktopfilepage.cpp
    editorpage.cpp
    previewwidget.cpp
    configurewidget.cpp
    grantleeplaintexteditor.cpp
    )

kconfig_add_kcfg_files(libgrantleethemeeditor_SRCS
    settings/globalsettings_base.kcfgc
    )

ki18n_wrap_ui(libgrantleethemeeditor_SRCS
    ui/configurewidget.ui
    )

ecm_qt_declare_logging_category(libgrantleethemeeditor_SRCS HEADER grantleethemeeditor_debug.h IDENTIFIER GRANTLEETHEMEEDITOR_LOG CATEGORY_NAME org.kde.pim.grantleethemeeditor
        DESCRIPTION "grantleeeditor (grantleethemeeditor)"
        OLD_CATEGORY_NAMES log_grantleethemeeditor
        EXPORT GRANTLEEEDITOR
    )


add_library(grantleethemeeditor ${libgrantleethemeeditor_SRCS})
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(grantleethemeeditor PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(grantleethemeeditor BASE_NAME grantleethemeeditor)

target_include_directories(grantleethemeeditor PUBLIC "$<BUILD_INTERFACE:${grantleeditor_SOURCE_DIR};${grantleethemeeditor_SOURCE_DIR};${grantleethemeeditor_BINAY_DIR}>")

target_link_libraries(grantleethemeeditor
    PUBLIC
    KF5::Archive
    PRIVATE
    KF5::KIOWidgets
    KF5::PimTextEdit
    KF5::PimCommon
    KF5::ConfigWidgets
    KF5::I18n
    KF5::SyntaxHighlighting
    )

install(FILES settings/grantleethemeeditor.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

set_target_properties(grantleethemeeditor PROPERTIES VERSION ${KDEPIM_LIB_VERSION} SOVERSION ${KDEPIM_LIB_SOVERSION})
install(TARGETS grantleethemeeditor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}  LIBRARY NAMELINK_SKIP)

## grantlee-editor 21.08.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.18.0")
project(grantlee-editor VERSION ${PIM_VERSION})
set(RELEASE_SERVICE_VERSION "21.08.0")
set(KF5_MIN_VERSION "5.83.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(CheckFunctionExists)
include(ECMGeneratePriFile)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)

# Do NOT add quote
set(KDEPIM_DEV_VERSION )

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "5")
set(MESSAGELIB_LIB_VERSION "5.18.0")

set(AKONADI_MIMELIB_VERSION "5.18.0")
set(AKONADI_CONTACT_VERSION "5.18.0")
set(KPIMTEXTEDIT_LIB_VERSION "5.18.0")
set(LIBGRANTLEETHEME_LIB_VERSION "5.18.0")
set(LIBKLEO_LIB_VERSION "5.18.0")
set(QT_REQUIRED_VERSION "5.15.0")
set(KIMAP_LIB_VERSION "5.18.0")
set(PIMCOMMON_LIB_VERSION "5.18.0")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngine WebEngineWidgets)

# Find KF5 package
find_package(KF5Crash ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5TextEditor ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5NewStuff ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Archive ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)

# Find KdepimLibs Package
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)


find_package(KF5SyntaxHighlighting ${KF5_MIN_VERSION} CONFIG REQUIRED)


include_directories(${grantlee-editor_SOURCE_DIR} ${grantlee-editor_BINARY_DIR})

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055400)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

configure_file(grantleeeditor-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/grantleeeditor-version.h @ONLY)
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
add_subdirectory(headerthemeeditor)
add_subdirectory(contactthemeeditor)
add_subdirectory(grantleethemeeditor)
add_subdirectory(contactprintthemeeditor)

ecm_qt_install_logging_categories(
        EXPORT GRANTLEEEDITOR
        FILE grantleeditor.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

add_subdirectory(doc)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
kdoctools_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
grantlee-editor (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:58:14 +0100

grantlee-editor (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:50:42 +0100

=== debian/control ===
--- 
+++ 
@@ -17,47 +17,47 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:21.07.80~),
-               libkf5akonadimime-dev (>= 4:21.07.80~),
-               libkf5akonadiserver-dev (>= 4:21.07.80~),
+               libkf5akonadi-dev (>= 4:21.08.0~),
+               libkf5akonadimime-dev (>= 4:21.08.0~),
+               libkf5akonadiserver-dev (>= 4:21.08.0~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:21.07.80~),
+               libkf5contacteditor-dev (>= 4:21.08.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 21.07.80~),
+               libkf5grantleetheme-dev (>= 21.08.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:21.07.80~),
-               libkf5libkleo-dev (>= 4:21.07.80~),
-               libkf5messagecomposer-dev (>= 4:21.07.80~),
-               libkf5messagecore-dev (>= 4:21.07.80~),
-               libkf5messagelist-dev (>= 4:21.07.80~),
-               libkf5messageviewer-dev (>= 4:21.07.80~),
-               libkf5mimetreeparser-dev (>= 4:21.07.80~),
+               libkf5libkdepim-dev (>= 4:21.08.0~),
+               libkf5libkleo-dev (>= 4:21.08.0~),
+               libkf5messagecomposer-dev (>= 4:21.08.0~),
+               libkf5messagecore-dev (>= 4:21.08.0~),
+               libkf5messagelist-dev (>= 4:21.08.0~),
+               libkf5messageviewer-dev (>= 4:21.08.0~),
+               libkf5mimetreeparser-dev (>= 4:21.08.0~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:21.07.80~),
-               libkf5pimtextedit-dev (>= 21.07.80~),
+               libkf5pimcommon-dev (>= 4:21.08.0~),
+               libkf5pimtextedit-dev (>= 21.08.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:21.07.80~),
+               libkf5templateparser-dev (>= 4:21.08.0~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:21.07.80~),
+               libkf5webengineviewer-dev (>= 4:21.08.0~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 21.08.1

=== debian/changelog ===
grantlee-editor (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:30:09 +0100

=== debian/control ===
--- 
+++ 
@@ -17,47 +17,47 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:21.08.0~),
-               libkf5akonadimime-dev (>= 4:21.08.0~),
-               libkf5akonadiserver-dev (>= 4:21.08.0~),
+               libkf5akonadi-dev (>= 4:21.08.1~),
+               libkf5akonadimime-dev (>= 4:21.08.1~),
+               libkf5akonadiserver-dev (>= 4:21.08.1~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:21.08.0~),
+               libkf5contacteditor-dev (>= 4:21.08.1~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 21.08.0~),
+               libkf5grantleetheme-dev (>= 21.08.1~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:21.08.0~),
-               libkf5libkleo-dev (>= 4:21.08.0~),
-               libkf5messagecomposer-dev (>= 4:21.08.0~),
-               libkf5messagecore-dev (>= 4:21.08.0~),
-               libkf5messagelist-dev (>= 4:21.08.0~),
-               libkf5messageviewer-dev (>= 4:21.08.0~),
-               libkf5mimetreeparser-dev (>= 4:21.08.0~),
+               libkf5libkdepim-dev (>= 4:21.08.1~),
+               libkf5libkleo-dev (>= 4:21.08.1~),
+               libkf5messagecomposer-dev (>= 4:21.08.1~),
+               libkf5messagecore-dev (>= 4:21.08.1~),
+               libkf5messagelist-dev (>= 4:21.08.1~),
+               libkf5messageviewer-dev (>= 4:21.08.1~),
+               libkf5mimetreeparser-dev (>= 4:21.08.1~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:21.08.0~),
-               libkf5pimtextedit-dev (>= 21.08.0~),
+               libkf5pimcommon-dev (>= 4:21.08.1~),
+               libkf5pimtextedit-dev (>= 21.08.1~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:21.08.0~),
+               libkf5templateparser-dev (>= 4:21.08.1~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:21.08.0~),
+               libkf5webengineviewer-dev (>= 4:21.08.1~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 21.08.3

=== debian/changelog ===
grantlee-editor (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:36:23 +0000

=== debian/control ===
--- 
+++ 
@@ -17,47 +17,47 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:21.08.1~),
-               libkf5akonadimime-dev (>= 4:21.08.1~),
-               libkf5akonadiserver-dev (>= 4:21.08.1~),
+               libkf5akonadi-dev (>= 4:21.08.3~),
+               libkf5akonadimime-dev (>= 4:21.08.3~),
+               libkf5akonadiserver-dev (>= 4:21.08.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:21.08.1~),
+               libkf5contacteditor-dev (>= 4:21.08.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 21.08.1~),
+               libkf5grantleetheme-dev (>= 21.08.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:21.08.1~),
-               libkf5libkleo-dev (>= 4:21.08.1~),
-               libkf5messagecomposer-dev (>= 4:21.08.1~),
-               libkf5messagecore-dev (>= 4:21.08.1~),
-               libkf5messagelist-dev (>= 4:21.08.1~),
-               libkf5messageviewer-dev (>= 4:21.08.1~),
-               libkf5mimetreeparser-dev (>= 4:21.08.1~),
+               libkf5libkdepim-dev (>= 4:21.08.3~),
+               libkf5libkleo-dev (>= 4:21.08.3~),
+               libkf5messagecomposer-dev (>= 4:21.08.3~),
+               libkf5messagecore-dev (>= 4:21.08.3~),
+               libkf5messagelist-dev (>= 4:21.08.3~),
+               libkf5messageviewer-dev (>= 4:21.08.3~),
+               libkf5mimetreeparser-dev (>= 4:21.08.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:21.08.1~),
-               libkf5pimtextedit-dev (>= 21.08.1~),
+               libkf5pimcommon-dev (>= 4:21.08.3~),
+               libkf5pimtextedit-dev (>= 21.08.3~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:21.08.1~),
+               libkf5templateparser-dev (>= 4:21.08.3~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:21.08.1~),
+               libkf5webengineviewer-dev (>= 4:21.08.3~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 21.11.80

=== debian/changelog ===
grantlee-editor (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 23:29:45 +0000

=== debian/control ===
--- 
+++ 
@@ -10,54 +10,54 @@
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
+               debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
                kross-dev (>= 5.31.0~),
                libassuan-dev,
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:21.08.3~),
-               libkf5akonadimime-dev (>= 4:21.08.3~),
-               libkf5akonadiserver-dev (>= 4:21.08.3~),
+               libkf5akonadi-dev (>= 4:21.11.80~),
+               libkf5akonadimime-dev (>= 4:21.11.80~),
+               libkf5akonadiserver-dev (>= 4:21.11.80~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:21.08.3~),
+               libkf5contacteditor-dev (>= 4:21.11.80~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 21.08.3~),
+               libkf5grantleetheme-dev (>= 21.11.80~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:21.08.3~),
-               libkf5libkleo-dev (>= 4:21.08.3~),
-               libkf5messagecomposer-dev (>= 4:21.08.3~),
-               libkf5messagecore-dev (>= 4:21.08.3~),
-               libkf5messagelist-dev (>= 4:21.08.3~),
-               libkf5messageviewer-dev (>= 4:21.08.3~),
-               libkf5mimetreeparser-dev (>= 4:21.08.3~),
+               libkf5libkdepim-dev (>= 4:21.11.80~),
+               libkf5libkleo-dev (>= 4:21.11.80~),
+               libkf5messagecomposer-dev (>= 4:21.11.80~),
+               libkf5messagecore-dev (>= 4:21.11.80~),
+               libkf5messagelist-dev (>= 4:21.11.80~),
+               libkf5messageviewer-dev (>= 4:21.11.80~),
+               libkf5mimetreeparser-dev (>= 4:21.11.80~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:21.08.3~),
-               libkf5pimtextedit-dev (>= 21.08.3~),
+               libkf5pimcommon-dev (>= 4:21.11.80~),
+               libkf5pimtextedit-dev (>= 21.11.80~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:21.08.3~),
+               libkf5templateparser-dev (>= 4:21.11.80~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:21.08.3~),
+               libkf5webengineviewer-dev (>= 4:21.11.80~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 21.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "5.18.0")
+set(PIM_VERSION "5.19.0")
 project(grantlee-editor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "21.08.0")
-set(KF5_MIN_VERSION "5.83.0")
+set(RELEASE_SERVICE_VERSION "21.12.0")
+set(KF5_MIN_VERSION "5.87.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -17,17 +17,19 @@
 
 include(FeatureSummary)
 include(KDEGitCommitHooks)
+include(KDEClangFormat)
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 include(CheckFunctionExists)
-include(ECMGeneratePriFile)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMAddAppIcon)
 include(ECMQtDeclareLoggingCategory)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION )
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -38,16 +40,16 @@
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(MESSAGELIB_LIB_VERSION "5.18.0")
+set(MESSAGELIB_LIB_VERSION "5.19.0")
 
-set(AKONADI_MIMELIB_VERSION "5.18.0")
-set(AKONADI_CONTACT_VERSION "5.18.0")
-set(KPIMTEXTEDIT_LIB_VERSION "5.18.0")
-set(LIBGRANTLEETHEME_LIB_VERSION "5.18.0")
-set(LIBKLEO_LIB_VERSION "5.18.0")
-set(QT_REQUIRED_VERSION "5.15.0")
-set(KIMAP_LIB_VERSION "5.18.0")
-set(PIMCOMMON_LIB_VERSION "5.18.0")
+set(AKONADI_MIMELIB_VERSION "5.19.0")
+set(AKONADI_CONTACT_VERSION "5.19.0")
+set(KPIMTEXTEDIT_LIB_VERSION "5.19.0")
+set(LIBGRANTLEETHEME_LIB_VERSION "5.19.0")
+set(LIBKLEO_LIB_VERSION "5.19.0")
+set(QT_REQUIRED_VERSION "5.15.2")
+set(KIMAP_LIB_VERSION "5.19.0")
+set(PIMCOMMON_LIB_VERSION "5.19.0")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngine WebEngineWidgets)
 
 # Find KF5 package
@@ -75,11 +77,9 @@
 
 include_directories(${grantlee-editor_SOURCE_DIR} ${grantlee-editor_BINARY_DIR})
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055400)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)
 
-set(CMAKE_CXX_STANDARD 17)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 configure_file(grantleeeditor-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/grantleeeditor-version.h @ONLY)
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
grantlee-editor (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:17:41 +0000

grantlee-editor (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:13:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: grantlee-editor
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -17,47 +18,47 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:21.11.80~),
-               libkf5akonadimime-dev (>= 4:21.11.80~),
-               libkf5akonadiserver-dev (>= 4:21.11.80~),
+               libkf5akonadi-dev (>= 4:21.12.0~),
+               libkf5akonadimime-dev (>= 4:21.12.0~),
+               libkf5akonadiserver-dev (>= 4:21.12.0~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:21.11.80~),
+               libkf5contacteditor-dev (>= 4:21.12.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 21.11.80~),
+               libkf5grantleetheme-dev (>= 21.12.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:21.11.80~),
-               libkf5libkleo-dev (>= 4:21.11.80~),
-               libkf5messagecomposer-dev (>= 4:21.11.80~),
-               libkf5messagecore-dev (>= 4:21.11.80~),
-               libkf5messagelist-dev (>= 4:21.11.80~),
-               libkf5messageviewer-dev (>= 4:21.11.80~),
-               libkf5mimetreeparser-dev (>= 4:21.11.80~),
+               libkf5libkdepim-dev (>= 4:21.12.0~),
+               libkf5libkleo-dev (>= 4:21.12.0~),
+               libkf5messagecomposer-dev (>= 4:21.12.0~),
+               libkf5messagecore-dev (>= 4:21.12.0~),
+               libkf5messagelist-dev (>= 4:21.12.0~),
+               libkf5messageviewer-dev (>= 4:21.12.0~),
+               libkf5mimetreeparser-dev (>= 4:21.12.0~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:21.11.80~),
-               libkf5pimtextedit-dev (>= 21.11.80~),
+               libkf5pimcommon-dev (>= 4:21.12.0~),
+               libkf5pimtextedit-dev (>= 21.12.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:21.11.80~),
+               libkf5templateparser-dev (>= 4:21.12.0~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:21.11.80~),
+               libkf5webengineviewer-dev (>= 4:21.12.0~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 21.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "5.19.0")
+set(PIM_VERSION "5.19.1")
 project(grantlee-editor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "21.12.0")
+set(RELEASE_SERVICE_VERSION "21.12.1")
 set(KF5_MIN_VERSION "5.87.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -40,16 +40,16 @@
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(MESSAGELIB_LIB_VERSION "5.19.0")
+set(MESSAGELIB_LIB_VERSION "5.19.1")
 
-set(AKONADI_MIMELIB_VERSION "5.19.0")
-set(AKONADI_CONTACT_VERSION "5.19.0")
-set(KPIMTEXTEDIT_LIB_VERSION "5.19.0")
-set(LIBGRANTLEETHEME_LIB_VERSION "5.19.0")
-set(LIBKLEO_LIB_VERSION "5.19.0")
+set(AKONADI_MIMELIB_VERSION "5.19.1")
+set(AKONADI_CONTACT_VERSION "5.19.1")
+set(KPIMTEXTEDIT_LIB_VERSION "5.19.1")
+set(LIBGRANTLEETHEME_LIB_VERSION "5.19.1")
+set(LIBKLEO_LIB_VERSION "5.19.1")
 set(QT_REQUIRED_VERSION "5.15.2")
-set(KIMAP_LIB_VERSION "5.19.0")
-set(PIMCOMMON_LIB_VERSION "5.19.0")
+set(KIMAP_LIB_VERSION "5.19.1")
+set(PIMCOMMON_LIB_VERSION "5.19.1")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngine WebEngineWidgets)
 
 # Find KF5 package

=== debian/changelog ===
grantlee-editor (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:20:54 +0000

=== debian/control ===
--- 
+++ 
@@ -18,47 +18,47 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:21.12.0~),
-               libkf5akonadimime-dev (>= 4:21.12.0~),
-               libkf5akonadiserver-dev (>= 4:21.12.0~),
+               libkf5akonadi-dev (>= 4:21.12.1~),
+               libkf5akonadimime-dev (>= 4:21.12.1~),
+               libkf5akonadiserver-dev (>= 4:21.12.1~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:21.12.0~),
+               libkf5contacteditor-dev (>= 4:21.12.1~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 21.12.0~),
+               libkf5grantleetheme-dev (>= 21.12.1~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:21.12.0~),
-               libkf5libkleo-dev (>= 4:21.12.0~),
-               libkf5messagecomposer-dev (>= 4:21.12.0~),
-               libkf5messagecore-dev (>= 4:21.12.0~),
-               libkf5messagelist-dev (>= 4:21.12.0~),
-               libkf5messageviewer-dev (>= 4:21.12.0~),
-               libkf5mimetreeparser-dev (>= 4:21.12.0~),
+               libkf5libkdepim-dev (>= 4:21.12.1~),
+               libkf5libkleo-dev (>= 4:21.12.1~),
+               libkf5messagecomposer-dev (>= 4:21.12.1~),
+               libkf5messagecore-dev (>= 4:21.12.1~),
+               libkf5messagelist-dev (>= 4:21.12.1~),
+               libkf5messageviewer-dev (>= 4:21.12.1~),
+               libkf5mimetreeparser-dev (>= 4:21.12.1~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:21.12.0~),
-               libkf5pimtextedit-dev (>= 21.12.0~),
+               libkf5pimcommon-dev (>= 4:21.12.1~),
+               libkf5pimtextedit-dev (>= 21.12.1~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:21.12.0~),
+               libkf5templateparser-dev (>= 4:21.12.1~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:21.12.0~),
+               libkf5webengineviewer-dev (>= 4:21.12.1~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 21.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "5.19.1")
+set(PIM_VERSION "5.19.2")
 project(grantlee-editor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "21.12.1")
+set(RELEASE_SERVICE_VERSION "21.12.2")
 set(KF5_MIN_VERSION "5.87.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -40,16 +40,16 @@
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(MESSAGELIB_LIB_VERSION "5.19.1")
+set(MESSAGELIB_LIB_VERSION "5.19.2")
 
-set(AKONADI_MIMELIB_VERSION "5.19.1")
-set(AKONADI_CONTACT_VERSION "5.19.1")
-set(KPIMTEXTEDIT_LIB_VERSION "5.19.1")
-set(LIBGRANTLEETHEME_LIB_VERSION "5.19.1")
-set(LIBKLEO_LIB_VERSION "5.19.1")
+set(AKONADI_MIMELIB_VERSION "5.19.2")
+set(AKONADI_CONTACT_VERSION "5.19.2")
+set(KPIMTEXTEDIT_LIB_VERSION "5.19.2")
+set(LIBGRANTLEETHEME_LIB_VERSION "5.19.2")
+set(LIBKLEO_LIB_VERSION "5.19.2")
 set(QT_REQUIRED_VERSION "5.15.2")
-set(KIMAP_LIB_VERSION "5.19.1")
-set(PIMCOMMON_LIB_VERSION "5.19.1")
+set(KIMAP_LIB_VERSION "5.19.2")
+set(PIMCOMMON_LIB_VERSION "5.19.2")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngine WebEngineWidgets)
 
 # Find KF5 package

=== debian/changelog ===
grantlee-editor (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:13:00 +0000

=== debian/control ===
--- 
+++ 
@@ -18,47 +18,47 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:21.12.1~),
-               libkf5akonadimime-dev (>= 4:21.12.1~),
-               libkf5akonadiserver-dev (>= 4:21.12.1~),
+               libkf5akonadi-dev (>= 4:21.12.2~),
+               libkf5akonadimime-dev (>= 4:21.12.2~),
+               libkf5akonadiserver-dev (>= 4:21.12.2~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:21.12.1~),
+               libkf5contacteditor-dev (>= 4:21.12.2~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 21.12.1~),
+               libkf5grantleetheme-dev (>= 21.12.2~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:21.12.1~),
-               libkf5libkleo-dev (>= 4:21.12.1~),
-               libkf5messagecomposer-dev (>= 4:21.12.1~),
-               libkf5messagecore-dev (>= 4:21.12.1~),
-               libkf5messagelist-dev (>= 4:21.12.1~),
-               libkf5messageviewer-dev (>= 4:21.12.1~),
-               libkf5mimetreeparser-dev (>= 4:21.12.1~),
+               libkf5libkdepim-dev (>= 4:21.12.2~),
+               libkf5libkleo-dev (>= 4:21.12.2~),
+               libkf5messagecomposer-dev (>= 4:21.12.2~),
+               libkf5messagecore-dev (>= 4:21.12.2~),
+               libkf5messagelist-dev (>= 4:21.12.2~),
+               libkf5messageviewer-dev (>= 4:21.12.2~),
+               libkf5mimetreeparser-dev (>= 4:21.12.2~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:21.12.1~),
-               libkf5pimtextedit-dev (>= 21.12.1~),
+               libkf5pimcommon-dev (>= 4:21.12.2~),
+               libkf5pimtextedit-dev (>= 21.12.2~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:21.12.1~),
+               libkf5templateparser-dev (>= 4:21.12.2~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:21.12.1~),
+               libkf5webengineviewer-dev (>= 4:21.12.2~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
